package com.philisense.www.service;

import freemarker.template.Template;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.junit.jupiter.api.Test;
import org.springframework.ui.freemarker.FreeMarkerTemplateUtils;
import org.springframework.web.servlet.view.freemarker.FreeMarkerConfigurer;

import java.util.HashMap;
import java.util.Map;

public class TestLicenseCheck {

	private static Logger logger = LogManager.getLogger(TestLicenseCheck.class);

	@Test
	public void testCheckLicense() {
            Map<String, Object> map = new HashMap<>();
        FreeMarkerConfigurer configurer = new FreeMarkerConfigurer();
            try {
                Template template = configurer.getConfiguration().getTemplate("ftl/hello.ftl");
                String resp = FreeMarkerTemplateUtils.processTemplateIntoString(template, map);
            } catch (Exception e) {
                    e.printStackTrace();
            }


	}
}
